using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using PhilExample.Models;
using System.Linq;
using PhilExampleCrawler.Common.Models;
using PhilExampleCrawler.Common.Interfaces;

namespace PhilExample.Interfaces
{
    internal interface IExamplePageService
    {
        Task<IEnumerable<Category>> GetCategoriesAsync();
        ICategory GetDefaultCategory();
        Task<IEnumerable<Category>> GetRadiiAsync();
        ICategory GetDefaultRadius();
        Task<List<PickerItem>> GetLocationSuggestionsAsync(string query);
    }
}
